Announcement Topics for phpBB 3.2
============

Extension for phpBB 3.2 to display announcement topics.
Based on Recent Topics for phpBB 3.2

#### Version
v1.0.2 (2019-05-21)

#### Support
- [Support forum] (https://internet-lab.ru)

#### Requirements
- phpBB 3.2.0

#### Features
- Adds a list of announcement (or unread) topics to the index page.
- UCP permissions and settings so users can choose their own preferences to override ACP.
    
- ACP / UCP Options:
  - Screen location : Top, bottom or Right.
  - sort by topic start time, instead of last post time
  - only show unread topics
- ACP Options  
  - number of topics to show
  - max. number of pages
  - set minimum topic type level to display (announcement/global)
  - exclusion of topics (by ID)
  - display parent forum name in the row
- Inherits all styling from regular "viewforum" templates
- compatible with "Pre:fixed" Extension from imkingdavid and “Topic Prefix“ Extension from Stathis. 
- Tested on:
  - prosilver

#### Languages supported
- English, Russian
  
### Installation
1. Download the latest release and unzip it.
2. Copy the entire contents from the unzipped folder to `/ext/ovelissimo/announcementtopics/`.
3. Navigate in the ACP to `Customise -> Manage extensions`.
4. Find `Announcement Topics` under "Disabled Extensions" and click `Enable`.

#### Uninstallation
1. Navigate in the ACP to `Customise -> Manage extensions`.
2. Click the `Disable` link for `Announcement Topics`.
3. To permanently uninstall, click `Delete Data`, then delete the `announcementtopics` folder from `/ext/ovelissimo/`.

### License
[GNU General Public License v2](http://opensource.org/licenses/GPL-2.0)

© 2015 - PayBas
© 2017 - nickvergessen
© 2017 - Sajaki
© 2017 - Ovelissimo
