<?php
/**
 *
 * @package Announcement Topics Extension
 * English translation by Ovelissimo
 *
 * @copyright (c) 2015 Ovelissimo
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 * Based on the original Recent Topics by PayBas (recenttopics)
 */

if (!defined('IN_PHPBB'))
{
	exit;
}
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ « » “ ” …
//

$lang = array_merge(
	$lang, array(
	'AT_ENABLE'              => 'Display Announcement topics',
	'AT_LOCATION'            => 'Select location',
	'AT_LOCATION_EXP'        => 'Select location to display Announcement topics. ',
	'AT_SORT_START_TIME'     => 'Sort Announcement topics by topic start time',
	'AT_SORT_START_TIME_EXP' => 'Instead of sorting them by last post time.',
	'AT_UNREAD_ONLY'         => 'Only display unread topics in Announcement topics',
	'AT_TOP'                 => 'Show on top',
	'AT_BOTTOM'              => 'Show on bottom',
	'AT_SIDE'                => 'Show on side',
	)
);
