<?php
/**
 *
 * @package Announcement Topics Extension
 * English translation by Ovelissimo
 *
 * @copyright (c) 2015 Ovelissimo
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 * Based on the original Recent Topics by PayBas (recenttopics)
 */

if (!defined('IN_PHPBB'))
{
	exit;
}
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge(
	$lang, array(
	//forum acp
	'ANNOUNCEMENT_TOPICS_LIST'            => 'Display on "Announcement topics"',
	'ANNOUNCEMENT_TOPICS_LIST_EXPLAIN'    => 'Enable to display topics in this forum in the "Announcement topics" extension.',

	//acp title
	'ANNOUNCEMENT_TOPICS'                 => 'Announcement Topics',
	'AT_CONFIG'                           => 'Configuration',
	'ANNOUNCEMENT_TOPICS_EXPLAIN'         => 'On this page you can change the settings specific for the Announcement Topics extension.<br /><br />Specific forums can be included or excluded by editing the respective forums in your ACP.<br />Also be sure to check your user permissions, which allow users to change some of the settings found below for themselves.',

	//User Overridable settings. these apply for anon users and can be overridden by UCP
	'AT_OVERRIDABLE'                => 'UCP overridable Settings',
	'AT_DISPLAY_INDEX'              => 'Display on Index page',
	'AT_LOCATION'                   => 'Display location',
	'AT_LOCATION_EXP'               => 'Select location to display Announcement topics.',
	'AT_TOP'                        => 'Show on top',
	'AT_BOTTOM'                     => 'Show on bottom',
	'AT_SIDE'                       => 'Show on side',
	'AT_SORT_START_TIME'            => 'Sort by topic start time',
	'AT_SORT_START_TIME_EXP'        => 'Enable to sort Announcement topics by the starting time of the topic, instead of the last post time.',
	'AT_UNREAD_ONLY'                => 'Only display unread topics',
	'AT_UNREAD_ONLY_EXP'            => 'Enable to only display unread topics (whether they are "Announcement" or not). This function uses the same settings (excluding forums/topics etc.) as normal mode. Note: this only works for logged-in users; guests will get the normal list.',

	//global settings
	'AT_GLOBAL_SETTINGS'            => 'Global Settings',
	'AT_NUMBER'                     => 'Announcement topics',
	'AT_NUMBER_EXP'                 => 'Number of topics to display.',
	'AT_PAGE_NUMBER'                => 'Announcement topics pages',
	'AT_PAGE_NUMBER_EXP'            => 'Check to disable Announcement topics pagination.',
	'AT_MIN_TOPIC_LEVEL'            => 'Minimum topic type level',
	'AT_MIN_TOPIC_LEVEL_EXP'        => 'Determines the minimum level of the topic-type to display. It will only display topics of the set level, and higher.',
	'AT_ANTI_TOPICS'                => 'Excluded topics',
	'AT_ANTI_TOPICS_EXP'            => 'The IDs of topics to exclude, seperated by "," (Example: 7,9)<br />',
	'AT_PARENTS'                    => 'Display parent forums',
	'AT_PARENTS_EXP'                => 'Display parent forums inside the topic row of Announcement topics.',
	'AT_RESET_DEFAULT'              => 'Reset user settings.',
	'AT_RESET_DEFAULT_EXP'          => 'Reset user settings to default.',

	//Enable for extensions
	'AT_NICKVERGESSEN_NEWSPAGE'     => 'Support for NewsPage Extension',
	'AT_VIEW_ON'                    => 'Display Announcement topics on:',

	)
);
