<?php
/**
 *
 * @package Announcement Topics Extension
 * Russian translation by Ovelissimo
 *
 * @copyright (c) 2015 Ovelissimo
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 * Based on the original Recent Topics by PayBas (recenttopics)
 */

if (!defined('IN_PHPBB'))
{
	exit;
}
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge(
	$lang, array(
	//forum acp
	'ANNOUNCEMENT_TOPICS_LIST'			=> 'Показывать важные темы',
	'ANNOUNCEMENT_TOPICS_LIST_EXPLAIN'	=> 'Если включено, то темы этого форума будут отображаться в списке важных тем.',

	//acp title
	'ANNOUNCEMENT_TOPICS'					=> 'Важные темы',
	'AT_CONFIG'						        => 'Настройка',
	'ANNOUNCEMENT_TOPICS_EXPLAIN'           => 'На этой странице вы можете изменить параметры расширения Важные Темы. <br /> <br /> Конкретные форумы могут быть включены или исключены путем редактирования соответствующих форумов в вашей АСР. <br /> Кроме того, не забудьте проверить прова доступа пользователей, которые позволяют пользователям изменять некоторые настройки приведены ниже под себя. ',

	//User Overridable settings. these apply for anon users and can be overridden by UCP
	'AT_OVERRIDABLE' 				=> 'Индивидуальные ручные настройки',
	'AT_DISPLAY_INDEX' 				=> 'Показывать на главной странице',
	'AT_LOCATION' 					=> 'Расположение важных тем',
	'AT_LOCATION_EXP' 				=> 'Выберите расположения для отображения важных тем.',
	'AT_TOP' 						=> 'Показывать верху',
	'AT_BOTTOM' 					=> 'Показывать внизу',
	'AT_SIDE' 						=> 'Показывать сбоку',
	'AT_SORT_START_TIME'			=> 'Сортировать по дате создания',
	'AT_SORT_START_TIME_EXP'		=> 'Если включено, темы будут отсортированы по дате их создания, а не по дате последнего сообщения.',
	'AT_UNREAD_ONLY'				=> 'Только непрочтённые',
	'AT_UNREAD_ONLY_EXP'			=> 'Если включено, в списке важных тем будут отображены только темы с непрочтёнными сообщениями, независимо от того, являются они последними или нет. При этом будут использованы те же настройки (исключённые темы, форумы и т.д.), что и в обычном режиме. Учтите, что данная функция работает только для зарегистрированных пользователей. Для гостей будет отображён обычный список.',

	//global settings
	'AT_GLOBAL_SETTINGS'            => 'Глобальные настройки',
	'AT_NUMBER'						=> 'Число тем в списке',
	'AT_NUMBER_EXP'					=> 'Количество тем, отображаемых на главной странице.',
	'AT_PAGE_NUMBER'				=> 'Cтраницы в списке тем',
	'AT_PAGE_NUMBER_EXP'			=> 'Отключить пейджинг',
	'AT_MIN_TOPIC_LEVEL'			=> 'Минимальный статус темы',
	'AT_MIN_TOPIC_LEVEL_EXP'		=> 'Минимальный статус темы для отображения. В списке важных тем будут отображены темы, имеющие указанный статус, и выше.<br />(2 = объявление, 3 = важная)',
	'AT_ANTI_TOPICS'				=> 'Исключённые темы',
	'AT_ANTI_TOPICS_EXP'			=> 'Разделённый запятыми список идентификаторов тем, которые не должны отображаться в списке важных тем (например: 7, 9)<br />Установите 0 для отключения данной функции.',
	'AT_PARENTS'                    => 'Показать родительские форумы',
	'AT_PARENTS_EXP'                => 'Показать родительские форумы внутри тем в блоке важных тем.',
	'AT_RESET_DEFAULT'              => 'Сбросить пользовательские настройки.',
	'AT_RESET_DEFAULT_EXP'          => 'Установить пользовательские настройки по-умолчанию.',

	//Enable for extensions
	'AT_NICKVERGESSEN_NEWSPAGE'     => 'Поддержка расширения NewsPage',
	'AT_VIEW_ON'					=> 'Размещение списка важных тем:',

	)
);
